Subject: Re: [multipathtcp] I-D Action: draft-ietf-mptcp-rfc6824bis-01.txt

From: Yoshifumi Nishida <[email-masked]>
Date: Sun, 5 Jan 2014 00:33:56 -0800

Hi Alan,

I have a naive question.
In this spec, what will happen when a MPTCP session tries to send more than
2**64 bytes?
--
Yoshifumi

On Tue, Dec 31, 2013 at 12:47 AM, Alan Ford <[email-masked]> wrote:

> Christoph, all,
>
> Yes you are right, this is a more significant change than I realised when
> writing it. It cropped up briefly in the Vancouver meeting and I had some
> side discussions about it and at the time seemed a small, sensible change
> but now I realise would be quite large and could not be simply inferred but
> would necessitate a new version number.
>
> The argument would be that by zeroing some number of MSBs of the 64-bit
> DSN, we can to all intents and purposes eliminate any need to handle
> wrapping of the DSN, which would improve the ease of implementation for
> both endpoints and middleboxes.
>
> Does anybody on the list have any thoughts one way or the other here?
>
> Cheers,
> Alan
>
> On 30 Dec 2013, at 11:23, Christoph Paasch wrote:
>
> > Hello Alan,
> >
> > On 30/12/13 - 10:37:51, Alan Ford wrote:
> >> This is a (rather belated) minor update taking into account the feedback
> >> from Vancouver. This adds comments on keys from additional sources, and
> >> formalizing the advice on how to practically eliminate wrapping in our
> >> 64-bit sequence number space.
> >
> > can you explain why we try to eliminate wrapping by setting the 8
> > most-significant bits to 0x00?
> >
> > This change makes implementations who follow RFC6824bis incompatible with
> > RFC6824. Should we increment the version-number for RFC6824bis?
> >
> >
> > Cheers,
> > Christoph
> >
> >>
> >>
> >> On 30 December 2013 10:33, <[email-masked]> wrote:
> >>
> >>>
> >>> A New Internet-Draft is available from the on-line Internet-Drafts
> >>> directories.
> >>> This draft is a work item of the Multipath TCP Working Group of the
> IETF.
> >>>
> >>>        Title           : TCP Extensions for Multipath Operation with
> >>> Multiple Addresses
> >>>        Authors         : Alan Ford
> >>>                          Costin Raiciu
> >>>                          University Politehnica of Bucharest
> >>>                          Mark Handley
> >>>                          Olivier Bonaventure
> >>>        Filename        : draft-ietf-mptcp-rfc6824bis-01.txt
> >>>        Pages           : 64
> >>>        Date            : 2013-12-30
> >>>
> >>> Abstract:
> >>>   TCP/IP communication is currently restricted to a single path per
> >>>   connection, yet multiple paths often exist between peers.  The
> >>>   simultaneous use of these multiple paths for a TCP/IP session would
> >>>   improve resource usage within the network and, thus, improve user
> >>>   experience through higher throughput and improved resilience to
> >>>   network failure.
> >>>
> >>>   Multipath TCP provides the ability to simultaneously use multiple
> >>>   paths between peers.  This document presents a set of extensions to
> >>>   traditional TCP to support multipath operation.  The protocol offers
> >>>   the same type of service to applications as TCP (i.e., reliable
> >>>   bytestream), and it provides the components necessary to establish
> >>>   and use multiple TCP flows across potentially disjoint paths.
> >>>
> >>>
> >>> The IETF datatracker status page for this draft is:
> >>> https://datatracker.ietf.org/doc/draft-ietf-mptcp-rfc6824bis/
> >>>
> >>> There's also a htmlized version available at:
> >>> http://tools.ietf.org/html/draft-ietf-mptcp-rfc6824bis-01
> >>>
> >>> A diff from the previous version is available at:
> >>> http://www.ietf.org/rfcdiff?url2=draft-ietf-mptcp-rfc6824bis-01
> >>>
> >>>
> >>> Please note that it may take a couple of minutes from the time of
> >>> submission
> >>> until the htmlized version and diff are available at tools.ietf.org.
> >>>
> >>> Internet-Drafts are also available by anonymous FTP at:
> >>> ftp://ftp.ietf.org/internet-drafts/
> >>>
> >>> _______________________________________________
> >>> multipathtcp mailing list
> >>> [email-masked]
> >>> https://www.ietf.org/mailman/listinfo/multipathtcp
> >>>
> >
> >> _______________________________________________
> >> multipathtcp mailing list
> >> [email-masked]
> >> https://www.ietf.org/mailman/listinfo/multipathtcp
> >
>
> _______________________________________________
> multipathtcp mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/multipathtcp
>